Item template in Angular Drop down button component

15 Dec 20242 minutes to read

The itemTemplate property in the DropDownButton component allows for the definition of custom templates to display dropdown items. This feature is especially useful for customizing the appearance and layout of dropdown items beyond the default options provided. By utilizing this property, diverse content such as icons, formatted text, and other visual elements can be integrated into the dropdown items for a more engaging and tailored user interface.

import { Component } from '@angular/core';
import { DropDownButtonModule, ItemModel } from '@syncfusion/ej2-angular-splitbuttons';
import { CommonModule } from '@angular/common';

@Component({
  standalone: true,
  selector: 'app-root',
  template: `
    <div class="e-section-control">
      <!-- DropDownButton with custom itemTemplate -->
     <button ejs-dropdownbutton [items]='items' content='DropdownButton' [itemTemplate]='itemTemplate'></button>
      <ng-template #itemTemplate let-data>
        <div>
          <span class="e-menu-icon "></span>
          <ng-container *ngIf="data.url; else textTemplate">
            <span class="custom-class"><a [href]="data.url" target="_blank" rel="noopener noreferrer"></a></span>
          </ng-container>
          <ng-template #textTemplate>
            <span class="custom-class"></span>
          </ng-template>
        </div>
      </ng-template>
    </div>
  `,
  imports: [DropDownButtonModule, CommonModule]
})
export class AppComponent {
  // Initialize DropDownButton items
  public items: ItemModel[] = [
    { text: 'Home', iconCss: 'e-icons e-home' },
    { text: 'Search', iconCss: 'e-icons e-search', url: 'http://www.google.com' },
    { text: 'Yes / No', iconCss: 'e-icons e-check-box' },
    { text: 'Text', iconCss: 'e-icons e-caption' },
    { separator: true },
    { text: 'Syncfusion', iconCss: 'e-icons e-mouse-pointer', url: 'http://www.syncfusion.com' }
  ];
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Item template in Vue Drop down button component

14 Dec 20248 minutes to read

The itemTemplate property in the DropDownButton component allows for the definition of custom templates to display dropdown items. This feature is especially useful for customizing the appearance and layout of dropdown items beyond the default options provided. By utilizing this property, diverse content such as icons, formatted text, and other visual elements can be integrated into the dropdown items for a more engaging and tailored user interface.

<template>
    <ejs-dropdownbutton :items="items" :itemTemplate="'itemTemplate'">DropDownButton
        <template v-slot:itemTemplate="{ data }">
            <div>
                <span class="e-menu-icon" :class="data.iconCss"></span>
                <span class="custom-class">
                    <a v-if="data.url" :href="data.url" target="_blank" rel="noopener noreferrer"></a>
                    <span v-else></span>
                    <span v-if="data.description" class="description"></span>
                </span>
            </div>
        </template>
    </ejs-dropdownbutton>
</template>

<script setup>
import { DropDownButtonComponent as EjsDropdownbutton } from '@syncfusion/ej2-vue-splitbuttons';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

const items = [
    {
        text: 'Home',
        iconCss: 'e-icons e-home',
    },
    {
        text: 'Search',
        iconCss: 'e-icons e-search',
        url: 'http://www.google.com'
    },
    {
        text: 'Yes / No',
        iconCss: 'e-icons e-check-box'
    },
    {
        text: 'Text',
        iconCss: 'e-icons e-caption',
    },
    {
        separator: true
    },
    {
        text: 'Syncfusion',
        iconCss: 'e-icons e-mouse-pointer',
        url: 'http://www.syncfusion.com'
    }
];

</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';

.e-dropdown-popup .e-item {
    color: #4a4a4a;
}

.e-dropdown-popup .e-item a {
    color: blue;
}
</style>
<template>
    <ejs-dropdownbutton :items="items" :itemTemplate="'itemTemplate'">DropDownButton
        <template v-slot:itemTemplate="{ data }">
            <div>
                <span class="e-menu-icon" :class="data.iconCss"></span>
                <span class="custom-class">
                    <a v-if="data.url" :href="data.url" target="_blank" rel="noopener noreferrer"></a>
                    <span v-else></span>
                    <span v-if="data.description" class="description"></span>
                </span>
            </div>
        </template>
    </ejs-dropdownbutton>
</template>

<script>
import { DropDownButtonComponent } from '@syncfusion/ej2-vue-splitbuttons';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

export default {
    name: 'App',
    components: {
        'ejs-dropdownbutton': DropDownButtonComponent,
    },
    data() {
        return {
            items: [
                {
                    text: 'Home',
                    iconCss: 'e-icons e-home',
                },
                {
                    text: 'Search',
                    iconCss: 'e-icons e-search',
                    url: 'http://www.google.com',
                },
                {
                    text: 'Yes / No',
                    iconCss: 'e-icons e-check-box',
                },
                {
                    text: 'Text',
                    iconCss: 'e-icons e-caption',
                },
                {
                    separator: true,
                },
                {
                    text: 'Syncfusion',
                    iconCss: 'e-icons e-mouse-pointer',
                    url: 'http://www.syncfusion.com',
                },
            ],
        };
    },
};
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css";

.e-dropdown-popup .e-item {
    color: #4a4a4a;
}

.e-dropdown-popup .e-item a {
    color: blue;
}
</style>

Item template in React Drop down button component

13 Dec 20247 minutes to read

The itemTemplate property in the DropDownButton component allows for the definition of custom templates to display dropdown items. This feature is especially useful for customizing the appearance and layout of dropdown items beyond the default options provided. By utilizing this property, diverse content such as icons, formatted text, and other visual elements can be integrated into the dropdown items for a more engaging and tailored user interface.

import { enableRipple } from '@syncfusion/ej2-base';
import { DropDownButtonComponent, ItemModel, MenuEventArgs } from '@syncfusion/ej2-react-splitbuttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

enableRipple(true);

// To render DropDownButton.
function App() {

  let items = [
    {
      text: 'Home',
      iconCss: 'e-icons e-home',
    },
    {
      text: 'Search',
      iconCss: 'e-icons e-search',
      url: 'http://www.google.com'
    },
    {
      text: 'Yes / No',
      iconCss: 'e-icons e-check-box'
    },
    {
      text: 'Text',
      iconCss: 'e-icons e-caption',
    },
    {
      separator: true
    },
    {
      text: 'Syncfusion',
      iconCss: 'e-icons e-mouse-pointer',
      url: 'http://www.syncfusion.com'
    }
  ];

  function itemTemplate(data) {
    if (data.properties.url) {
      return (
        <div>
          <span className={`e-menu-icon ${data.properties.iconCss}`}></span>
          <span className="custom-class">
            <a href={data.properties.url} target="_blank" rel="noopener noreferrer">
              {data.properties.text}
            </a>
          </span>
        </div>
      );
    } else {
      return (
        <div>
          <span className={`e-menu-icon ${data.properties.iconCss}`}></span>
          <span className="custom-class">{data.properties.text}</span>
        </div>
      );
    }
  }

  return (
    <div>
      <DropDownButtonComponent items={items} itemTemplate={itemTemplate} >DropDownButton</DropDownButtonComponent>
    </div>
  );
}

export default App;
ReactDom.render(<App />, document.getElementById('button'));
import { enableRipple } from '@syncfusion/ej2-base';
import { DropDownButtonComponent, ItemModel, MenuEventArgs } from '@syncfusion/ej2-react-splitbuttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

enableRipple(true);

// To render DropDownButton.
function App() {

  let items: ItemModel[] = [
    {
      text: 'Home',
      iconCss: 'e-icons e-home',
    },
    {
      text: 'Search',
      iconCss: 'e-icons e-search',
      url: 'http://www.google.com'
    },
    {
      text: 'Yes / No',
      iconCss: 'e-icons e-check-box'
    },
    {
      text: 'Text',
      iconCss: 'e-icons e-caption',
    },
    {
      separator: true
    },
    {
      text: 'Syncfusion',
      iconCss: 'e-icons e-mouse-pointer',
      url: 'http://www.syncfusion.com'
    }
  ];

  function itemTemplate(data: any): any {
    if (data.properties.url) {
      return (
        <div>
          <span className={`e-menu-icon ${data.properties.iconCss}`}></span>
          <span className="custom-class">
            <a href={data.properties.url} target="_blank" rel="noopener noreferrer">
              {data.properties.text}
            </a>
          </span>
        </div>
      );
    } else {
      return (
        <div>
          <span className={`e-menu-icon ${data.properties.iconCss}`}></span>
          <span className="custom-class">{data.properties.text}</span>
        </div>
      );
    }
  }

  return (
    <div>
      <DropDownButtonComponent items={items} itemTemplate={itemTemplate} >DropDownButton</DropDownButtonComponent>
    </div>
  );
}

export default App;
ReactDom.render(<App />, document.getElementById('button'));